import { Student } from "@/data";
import { StudentAction, StudentActions } from "@/state/actions/student";

export type StudentState = Student | null;

const initialStudentState: StudentState = null;

const studentReducer = (state: StudentState = initialStudentState, action: StudentAction): StudentState => {
    switch (action.type) {
        case StudentActions.Login:
            return action.student;

        case StudentActions.Logout:
            return null;
    }

    return state;
}

export default studentReducer;
